#define F_CPU 4000000
#include <avr/io.h>
#include <avr/interrupt.h>
#include "nec.h"
#include "lcd-routines.h"
#include <util/delay.h>
#include <stdlib.h>

int main (void)
{
    DDRD |= (1<<PD6);
    PORTD &= ~(1<<PD6);

    lcd_init();
	char buffer[65];

    sei();
    ir_init();

	uint32_t code;

    while(1)
    {
		if(code != getCode() && getCode() != 0)
			code = getCode();
		lcd_clear();
		lcd_home();
		itoa(code, buffer, 16);
		lcd_string(buffer);
		set_cursor(0,1);
		itoa(code, buffer, 2);
		lcd_string(buffer);
		_delay_ms(500);
    }

	return 0;
}
